#ifndef PHP_GNUTLS_H
	#define PHP_GNUTLS_H

	#define CRED_ANON_SERVER 1
	#define CRED_ANON_CLIENT 2



	ZEND_MINIT_FUNCTION(gnutls_module_init);
	ZEND_MSHUTDOWN_FUNCTION(gnutls_module_shutdown);

	/* declaration of functions to be exported */

	ZEND_FUNCTION(gnutls_session_new);
	ZEND_FUNCTION(gnutls_credentials_new);
	ZEND_FUNCTION(gnutls_session_set_credentials);
	ZEND_FUNCTION(gnutls_session_set_socket);
	ZEND_FUNCTION(gnutls_set_default_priority);
	ZEND_FUNCTION(gnutls_kx_set_priority);
	ZEND_FUNCTION(gnutls_handshake);
	ZEND_FUNCTION(gnutls_record_recv);
	ZEND_FUNCTION(gnutls_record_send);
	ZEND_FUNCTION(gnutls_bye);

	ZEND_FUNCTION(gnutls_session_is_resumed);
	ZEND_FUNCTION(gnutls_session_get_data);
	ZEND_FUNCTION(gnutls_session_set_data);





	typedef struct
	{
		unsigned int type;
		void *credentials;

	} gnutls_credentials_t;


#endif
